#include <stdlib.h>
#include <stdio.h>
#include <ctype.h>
#include "hello.h"

int main()
{
	RPC_STATUS status;
	unsigned char *stringBinding;

	status = RpcStringBindingCompose(NULL,
		"ncacn_ip_tcp",
		"127.0.0.1",
		"9876",
		NULL,
		&stringBinding);

	if (status)
	{
		printf("Error 1\n");
		return 1;
	}

	printf("Connecting to: %s\n", stringBinding);

	status = RpcBindingFromStringBinding(stringBinding, &bindingHandle);
	if (status)
	{
		printf("Error 2\n");
		return 1;
	}

	RpcTryExcept
	{
		HelloProc("Hello world\n");
		Shutdown();
	}
	RpcExcept(1)
	{
		printf("Error 3\n");
	}
	RpcEndExcept

	status = RpcStringFree(&stringBinding);
	status = RpcBindingFree(&bindingHandle);
	printf("Done\n");
}
